From ece7b5d6bf16111ad388fcb47ed9fd7572ef151e Mon Sep 17 00:00:00 2001
From: Maksim Melnikov <m.melnikov@postgrespro.ru>
Date: Tue, 25 Feb 2025 22:22:36 +0300
Subject: [PATCH] Spinlock can be released twice in procsignal.c

---
 src/backend/storage/ipc/procsignal.c | 1 -
 1 file changed, 1 deletion(-)

diff --git a/src/backend/storage/ipc/procsignal.c b/src/backend/storage/ipc/procsignal.c
index 7401b6e625..ae4cc0873a 100644
--- a/src/backend/storage/ipc/procsignal.c
+++ b/src/backend/storage/ipc/procsignal.c
@@ -178,7 +178,6 @@ ProcSignalInit(bool cancel_key_valid, int32 cancel_key)
 	SpinLockAcquire(&slot->pss_mutex);
 	if (pg_atomic_read_u32(&slot->pss_pid) != 0)
 	{
-		SpinLockRelease(&slot->pss_mutex);
 		elog(LOG, "process %d taking over ProcSignal slot %d, but it's not empty",
 			 MyProcPid, MyProcNumber);
 	}
-- 
2.43.0

